For the complete documentation index, see llms.txt. This page is also available as Markdown.

Virtual Account

This endpoint allows you to create a Virtual Account for VA BankTransfer payments in Peru.

After the Virtual Account is created successfully, Pagsmile returns an account_number. The payer can use the assigned account number to complete the bank transfer.

Peru VA BankTransfer supports real-time payment processing.

The supported amount range is 1 to 10000.00 PEN.

POST https://gateway-test.pagsmile.com/virtual-account/create

Request Body

Parameter
Type
Required
Constraints
Description

app_id

string

Required

Max length: 32

The merchant application ID assigned by Pagsmile.

timestamp

string

Required

Format: yyyy-MM-dd HH:mm:ss; max length: 19

Request timestamp.

notify_url

string

Required

Valid URL

The URL to receive Virtual Account payment notifications.

region

string

Required

Fixed value: PER

Country or region code.

customer.username

string

Required

Max length: 128

Customer's name.

customer.buyer_id

string

Required

Max length: 64

Merchant-side user ID.

customer.email

string

Required

Valid email address

Customer's email address.

customer.phone

string

Required

Max length: 32

Customer's phone number.

customer.identify

object

Required

-

Customer identification information.

customer.identify.type

string

Required

Example: DNI

Customer identification type.

customer.identify.number

string

Required

-

Customer identification number.

method

string

Required

Fixed value: VABankTransfer

Payment method.

Request Sample

Response Sample

After the Virtual Account is created successfully, use the returned account_number to instruct the payer to complete the bank transfer.

Last updated